Patients API
Delete a patient
Delete a patient from the current workspace.
DELETE
/v1/patients/{patientId}Request
Path, query, and JSON body fields accepted by this operation.
patientIdstring<uuid>requiredpath
Response
Successful responses use Dawn's data envelope.
dataPatientrequiredidstring<uuid>requiredworkspaceIdstring<uuid>requiredfirstNamestringrequiredmin length 1max length 80lastNamestringrequiredmin length 1max length 80emailstring<email> | nullrequiredphonestring | nullrequiredmin length 5max length 40dateOfBirthstring<date> | nullrequiredstatus"active" | "inactive" | "archived"requirednotesstring | nullrequiredmax length 50000createdAtstring<date-time>requiredupdatedAtstring<date-time>required
metaobject
Errors
Error responses use the shared error envelope.
404The patient could not be found.409The patient has appointments and must be archived instead.422The patient ID is invalid.503The patient could not be deleted.
Last updated on